#ifndef __BITBLTWIN_HPP
#define __BITBLTWIN_HPP

#include 	<owl.h>
#include	<window.h>
#include	<windows.h>


_CLASSDEF(TBitBltWin)

class TBitBltWin : public TWindow
{
private:
	int iXorg,iYorg;
	HDC hBitmapDC;
	HBITMAP hBitMap;
	RECT	Rect;
	POINT	pSize;
	
	HDC     BltBeginPaint(HWND, PAINTSTRUCT FAR*);
	void    BltEndPaint(HWND, const PAINTSTRUCT FAR*);

public:
   TBitBltWin(PTWindowsObject AParent, LPSTR ATitle);
   ~TBitBltWin();

   DWORD    TBitBltWin::BltSetViewportOrg(int iXOrg,int iYOrg);
   DWORD    TBitBltWin::BltGetViewportOrg(void);

   virtual void	WMPaint(RTMessage Msg) = [WM_FIRST + WM_PAINT];
   virtual void WMEraseBkGnd(RTMessage Msg) = [WM_FIRST + WM_ERASEBKGND];
};

#endif

