

// This struct should be viewed as PRIVATE by apps!!!

typedef struct S_PAINTBLT
			{
			int						iXorg;				// The ViewOrg of the Window
			int						iYorg;				//   before we change it.
			POINT					pSize;				// pixel size of bitmap
			HWND					hWnd;					// The window (used by PaintEnd)
			HDC						hDc;					// The bitmap DC we create
			HBITMAP				hBm;					// The bitmap we create
			RECT					Rect;					// The invalid rectangle
			PAINTSTRUCT		sPs;					// The sPs set by BeginPaint
			} PAINTBLT;


// PUBLIC functions

HDC PaintBegin (HWND hWnd, PAINTBLT *pPb);
void PaintEnd (PAINTBLT *pPb);
DWORD PaintSetViewOrg (PAINTBLT *pPb, int iXorg, int iYorg);
DWORD PaintGetViewOrg (PAINTBLT *pPb);
HDC PaintGetDc (PAINTBLT *pPb);
